Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "28a92ed3-89cc-4ba9-b1e0-e32f096cf547",
  "_parent_id": "4eb26067-ecb3-4aaa-a240-f83904ea3802",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "19df9f50-7a4b-43d5-a48c-5d5d639a59e3",
  "company_id": "17a522af-20ce-479f-964c-12d2c0f5949e",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "47562d63-f649-440d-8d5a-effbff3f1c9a",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "d96172bd-8655-42db-ae76-a36c4b0c4db0",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "3b606fe4-19a4-47dd-b1d2-591acca63406",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "a9b9755d-06fc-429e-97ca-2e0ea646e13a",
    "company_code": "sample string 5",
    "company": {
      "id": "bc45bdfc-93e9-4784-8ddf-acd279aa741f",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-10-28T06:11:30.4777636+00:00",
      "sales_territory_id": "a22e0ae6-42e8-4bd3-a928-42df15b746f8",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "fe92ab49-4f36-4756-9410-b609e15e1731",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "8f33f5d2-e166-45e7-a9f2-df414e44832a",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "a6e75803-dcd8-4347-b1ce-2865721ddd7e",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "3ca7ce01-3810-4b75-85c6-89aa78037eff",
          "db_currency_id": "fd727525-4b10-4a3e-9404-558e21886bbd",
          "db_language_id": "f1d1ff7f-1040-4257-942f-9cbe473f10e5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00"
        },
        "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00"
      },
      "marketing_segment_id": "95b90b8e-8725-424d-9ab4-cc606714a7e6",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "1987aecb-2fb9-4b4b-8e05-3add60fdd0ec",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "ce6437d0-6e67-44c7-8347-d1d650f23a36",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "a43766b6-3587-4c08-a2ee-5aedf3596408",
      "db_country_code": "sample string 28",
      "feelist_id": "fa3ecc24-ab6b-4148-8ab7-d2d36049677c",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "fe349028-a9fd-427d-9c0f-d688b903e395",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "63b7d952-684b-4657-bf29-a80b897e7f7d",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00",
        "db_currency_id": "5bf900d3-8fd8-42cb-8d0b-80cf2a2456db",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "662dda85-e11c-44fb-a417-d92fb3f69ea9",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "51855df0-e906-4548-8d39-6a3b2a45f879",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "194308a6-5942-40ed-926c-dceb85e47e50",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "7e2a3b58-d176-4ef0-a24c-0616d9a752de",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "bc4dad26-550a-4f08-afed-d39bf61d7b08",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "61b47580-e473-497e-8618-781639aa33fe",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "b2745e72-21fd-46ef-9555-053ce337d103",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00"
      },
      "company_sector_id": "f4a7eb0d-2315-40eb-9573-42038daf916d",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "f853d518-8726-43f0-8624-707ad6bd99d7",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "b4df00a3-56f7-4a78-833e-e8206c377d0f",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "6b68eb5a-f463-481f-a4f6-b4a5518b17ff",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "6a07552c-bf29-4ea1-ad95-90d2e649770b",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00",
      "id2": 60
    },
    "db_language_id": "0c48ebde-ff63-45a4-9cd3-fbca1eaa7ab4",
    "db_language_code": "sample string 7",
    "db_title_id": "49f78075-ebf2-4d50-87e4-13d9f109c3f0",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-10-28T06:11:30.4777636+00:00",
    "create_date": "2026-10-28T06:11:30.4777636+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00"
  },
  "modified_dateutc": "2026-10-28T06:11:30.4777636+00:00",
  "id2": 22
}